Get a role
GET
apiKeyheader
AuthorizationBasic <token>HTTP Basic authentication with an admin API key as the username and an empty password.
merchant_id*stringThe ID of the merchant.
Format
uuidrole_id*stringThe ID of the role.
Format
uuidThe role.
application/json- response
id?stringFormat
uuidcreated?stringFormat
date-timemodified?|Format
date-timename*stringdescription?stringpermissions?Permissions by path, such as /orders/**, with per HTTP method (GET, POST, PUT, DELETE or * for all)
true or false. Payment methods are permissions on /payment-methods/<method>/ with POST. See
Permissions.
field_permissions?Field-level read and write restrictions per resource: { resource: { field: { read, write } } }.
max_allowed_correction_amount?integerThe highest correction amount users with this role may create.
curl -X GET 'https://api.example.com/v1/admin/merchants/497f6eca-6276-4993-bfeb-53cbbbba6f08/roles/497f6eca-6276-4993-bfeb-53cbbbba6f08/' \ --user "$API_KEY:"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "created": "2019-08-24T14:15:22Z", "modified": "2019-08-24T14:15:22Z", "name": "Merchant administrator", "description": "string", "permissions": { "property1": { "GET": true, "POST": true, "PUT": true, "DELETE": true, "*": true }, "property2": { "GET": true, "POST": true, "PUT": true, "DELETE": true, "*": true } }, "field_permissions": { "property1": { "property1": { "read": true, "write": true }, "property2": { "read": true, "write": true } }, "property2": { "property1": { "read": true, "write": true }, "property2": { "read": true, "write": true } } }, "max_allowed_correction_amount": 0}